# sas.qtgui.Utilities.ModelEditors.Dialogs package

## Subpackages

- sas.qtgui.Utilities.ModelEditors.Dialogs.UI package
  - Submodules
  - sas.qtgui.Utilities.ModelEditors.Dialogs.UI.ModelSelectorUI module
    - `Ui_ModelSelector`
      - `Ui_ModelSelector.retranslateUi()`
      - `Ui_ModelSelector.setupUi()`
  - sas.qtgui.Utilities.ModelEditors.Dialogs.UI.ParameterEditDialogUI module
    - `Ui_ParameterEditDialog`
      - `Ui_ParameterEditDialog.retranslateUi()`
      - `Ui_ParameterEditDialog.setupUi()`
  - Module contents

## Submodules

## sas.qtgui.Utilities.ModelEditors.Dialogs.ModelSelector module

class sas.qtgui.Utilities.ModelEditors.Dialogs.ModelSelector.ModelSelector(parent=None)

  Bases: `QDialog`, `Ui_ModelSelector`

  Helper widget to get model parameters from a list of available models sorted by type

  addSignals()

    Connect signals to slots

  classmethod customModels()

    Read in file names in the custom plugin directory

  getParameters() → [<class 'sasmodels.modelinfo.Parameter'>]

    Get parameters for the selected model and return them as a list

  onClose()
  onLoad()
  onLoadModel()

    Get parameters for selected model, convert to usable data, send to parent. Close dialog if successful.

  onSelectionChanged()

    Update selected model and display user selection

  populateModelTree()

    Populate the model tree with available models

  readCustomCategoryInfo()

    Reads the custom model category

  regenerateModelDict()

    Regenerates self.by_model_dict which has each model name as the key and the list of categories belonging to that model along with the enabled mapping

  returnModelParamsSignal
  setupModelDict()

    Set up a dictionary of all available models and their categories

  staticMetaObject = PySide6.QtCore.QMetaObject("ModelSelector" inherits "QDialog": Methods: #41 type=Signal, signature=returnModelParamsSignal(QString,QVariantList), parameters=QString, QVariantList )

## sas.qtgui.Utilities.ModelEditors.Dialogs.ParameterEditDialog module

class sas.qtgui.Utilities.ModelEditors.Dialogs.ParameterEditDialog.ParameterEditDialog(parent=None, properties=None, qtree_item=None)

  Bases: `QDialog`, `Ui_ParameterEditDialog`

  addSignals()
  adjustTableSize()
  getValues()

    Get the values from the table and return them as a parameter object

  static getValuesFromTable(table, search_string)

    Get values from column 2 of table given a search string in column 1 :param table: QTableWidget :param search_string: str

  onCellPressed()
  onClose()
  onLoad()
  onSave()

    Return the values in the table to the listening parent widget

  returnEditedParamSignal
  returnNewParamsSignal
  staticMetaObject = PySide6.QtCore.QMetaObject("ParameterEditDialog" inherits "QDialog": Methods: #41 type=Signal, signature=returnNewParamsSignal(QVariantList), parameters=QVariantList #42 type=Signal, signature=returnEditedParamSignal(QVariantList,QTreeWidgetItem*), parameters=QVariantList, QTreeWidgetItem* )
  static writeValuesToTable(table, search_string, value)

    Write values to column 2 of table given a search string in column 1 :param table: QTableWidget :param search_string: str

## Module contents